Bug 185314 - Too weak dictionary for cracklib?
Summary: Too weak dictionary for cracklib?
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cracklib (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 176344
TreeView+ depends on / blocked
 
Reported: 2006-03-13 17:19 UTC by Somsak Sriprayoonsakul
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHEA-2007-0259
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:34:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Password files left from SSH brute force program (420.76 KB, application/x-gzip)
2006-03-13 17:19 UTC, Somsak Sriprayoonsakul
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0259 normal SHIPPED_LIVE cracklib enhancement update 2007-05-01 17:34:16 UTC

Description Somsak Sriprayoonsakul 2006-03-13 17:19:31 UTC
Description of problem:


Version-Release number of selected component (if applicable):


Recently, we faced many successful attempt of SSH brute force attack to the user
with simple username (root, oracle, etc...) and the main reason is that they all
use password with some simple pattern (such as QWERTY keyboard pattern like
1q2w3e4r, qawsedrf, etc...). I uploaded dictionary file left from their SSH
brute force program in our server with this issue.

How reproducible:
   Just try "1q2w3e4r" as password, it pass without any warning.

Steps to Reproduce:
1. Just type simple password when you change the password
  
Actual results:
   cracklib let simple password pass successfully

Expected results:
   cracklib should warn about patterned-password

Additional info:

Comment 1 Somsak Sriprayoonsakul 2006-03-13 17:19:32 UTC
Created attachment 126053 [details]
Password files left from SSH brute force program

Comment 3 RHEL Product and Program Management 2006-08-18 16:30:49 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Josh Bressers 2006-09-25 18:57:21 UTC
I'm removing the Security keyword from this bug.  While this issue does have a
security aspect to it, it is not a secuirty vulnerability itself.  We reserve
the Security keyword to describe security vulnerabilities.

Comment 9 Red Hat Bugzilla 2007-05-01 17:34:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0259.html



Note You need to log in before you can comment on or make changes to this bug.